openscenegraph (3.2.3+dfsg1-2ubuntu3) zesty; urgency=medium

  * No-change rebuild against latest gdal

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 03 Nov 2016 13:53:43 -0400

openscenegraph (3.2.3+dfsg1-2ubuntu2) yakkety; urgency=medium

  * Rebuild against gdal-abi-2-1-1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Jul 2016 16:13:31 +0200

openscenegraph (3.2.3+dfsg1-2ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add support for building on armhf by building with OpenGL ES 2.0.
    - Backport part of a commit to not build osgframerenderer example.
    - Add change-typedef.patch to fix conflicting typedefs for GLdouble with
      OpenGL ES 2.0.
    - Exclude freeglut3-dev from dependencies for armhf.
    - Change Depends of libopenscenegraph-dev for armhf from libgl1-mesa-
      dev to libgles2-mesa-dev.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 10 Jun 2016 20:51:07 -0700

openscenegraph (3.2.3+dfsg1-2) unstable; urgency=medium

  * Fix FTBFS on Hurd.  Thanks Bas Couwenberg (Closes: #824395).
  * Update standards to 3.9.8.  No changes required.
  * Corrected copyright file according to lintian.

 -- Alberto Luaces Fernández <aluaces@udc.es>  Mon, 16 May 2016 14:23:26 +0200

openscenegraph (3.2.3+dfsg1-1ubuntu3) yakkety; urgency=medium

  * No-change rebuild against gdal-abi-2-1-0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 20 May 2016 23:59:41 +0000

openscenegraph (3.2.3+dfsg1-1ubuntu2) yakkety; urgency=medium

  * No-change rebuild for gdal soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Apr 2016 18:29:23 +0000

openscenegraph (3.2.3+dfsg1-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add support for building on armhf by building with OpenGL ES 2.0.
    - Backport part of a commit to not build osgframerenderer example.
    - Add change-typedef.patch to fix conflicting typedefs for GLdouble with
      OpenGL ES 2.0.
    - Exclude freeglut3-dev from dependencies for armhf.
    - Change Depends of libopenscenegraph-dev for armhf from libgl1-mesa-
      dev to libgles2-mesa-dev.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 23 Apr 2016 16:58:10 +0200

openscenegraph (3.2.3+dfsg1-1) unstable; urgency=medium

  * Remove jasper dependency (Closes: #818211).
  * Fixed source retrieval rule when using DFSG versions.
  * Imported Upstream version 3.2.3+dfsg1

 -- Alberto Luaces Fernández <aluaces@udc.es>  Tue, 22 Mar 2016 16:25:39 +0100

openscenegraph (3.2.2+dfsg1-1) unstable; urgency=medium

  * Updated to new stable release (Closes: #814555).
  * Debug packages are now generated automatically (Closes: #775368).
  * Fixed my name in uploaders so lintian no longer triggers a warning
    about NMUs.
  * Fix doxygen configuration when reading header files.
  * De-embed copies of jquery.js found on doxygen configuration.
  * Update Vcs-Browser URL in debian/control.
  * Update debian/copyright file.
  * Fix FTBFS with ffmpeg 2.9 (Closes: #803849).  Thanks to Andreas
    Cadhalpun.

 -- Alberto Luaces Fernández <aluaces@udc.es>  Fri, 11 Mar 2016 21:12:21 +0000

openscenegraph (3.2.1-9) unstable; urgency=medium

  * Added a compatibility fix for building with giflib5.  Thanks
    Sebastiaan Couwenberg and Matthias Klose. (Closes: 803300)

  * Modified debian/rules to set HTML_TIMESTAMP=NO for doxygen to make the
    package reproducible.  Thanks to Maria Valentina Marin (Closes:
    789264)

 -- Alberto Luaces Fernández <aluaces@udc.es>  Sat, 19 Dec 2015 11:16:24 +0100

openscenegraph (3.2.1-8) unstable; urgency=medium

  * Adding upstream patch for GDAL 2.0 support, needed by upcoming
    transition.  Thanks to Bas Couwenberg. (Closes: 802266)

  [ Matthias Klose ]
  * Re-add a copy of the xine_xmalloc_aligned function, removed in
    newer upstream versions. (Closes: 792320)

 -- Alberto Luaces Fernández <aluaces@udc.es>  Mon, 19 Oct 2015 13:51:23 +0200

openscenegraph (3.2.1-7ubuntu4) xenial; urgency=medium

  * No-change rebuild for new gdal

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 03 Dec 2015 11:37:44 +0000

openscenegraph (3.2.1-7ubuntu3) xenial; urgency=medium

  * Build using giflib5.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 Oct 2015 05:06:12 +0000

openscenegraph (3.2.1-7ubuntu2) xenial; urgency=medium

  * No-change rebuild for giflib soname bump.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 Oct 2015 03:52:17 +0000

openscenegraph (3.2.1-7ubuntu1) wily; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable.  Remaining changes:
    - Add support for building on armhf by building with OpenGL ES 2.0.
    - Backport part of a commit to not build osgframerenderer example.
    - Add change-typedef.patch to fix conflicting typedefs for GLdouble with
      OpenGL ES 2.0.
    - Exclude freeglut3-dev from dependencies for armhf.
    - Change Depends of libopenscenegraph-dev for armhf from libgl1-mesa-
      dev to libgles2-mesa-dev.
    - Re-add a copy of the xine_xmalloc_aligned function, removed in
      newer upstream versions.
  * Dropped changes, included in Debian:
    - Rename libopenscenegraph100 to -v5 for gcc5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 01 Sep 2015 10:08:08 -0700

openscenegraph (3.2.1-7) unstable; urgency=medium

  [ Martin Pitt ]
  * Rename libopenscenegraph100 to -v5 for gcc5 transition (Closes: #791231)
    Note that libopenthreads20 can keep its name, its symbols don't change
    under g++ 5.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 30 Aug 2015 15:13:43 +0100

openscenegraph (3.2.1-6ubuntu5) wily; urgency=medium

  * No-change rebuild against libgdal1i

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 23 Aug 2015 01:22:19 +0000

openscenegraph (3.2.1-6ubuntu4) wily; urgency=medium

  * No-change rebuild against libcoin80v5.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Aug 2015 08:39:56 +0200

openscenegraph (3.2.1-6ubuntu3) wily; urgency=medium

  * Rename libopenscenegraph100 to -v5 for gcc5 transition (Closes: #791231)
    Note that libopenthreads20 can keep its name, its symbols don't change
    under g++ 5.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 30 Jul 2015 16:46:56 +0200

openscenegraph (3.2.1-6ubuntu2) wily; urgency=medium

  * Re-add a copy of the xine_xmalloc_aligned function, removed in
    newer upstream versions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Jul 2015 22:28:18 +0200

openscenegraph (3.2.1-6ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Add support for building on armhf by building with OpenGL ES 2.0.
    - Backport part of a commit to not build osgframerenderer example.
    - Add change-typedef.patch to fix conflicting typedefs for GLdouble with
      OpenGL ES 2.0.
    - Exclude freeglut3-dev from dependencies for armhf.
    - Change Depends of libopenscenegraph-dev for armhf from libgl1-mesa-
      dev to libgles2-mesa-dev.
  * Build using GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Jul 2015 20:49:12 +0200

openscenegraph (3.2.1-6) unstable; urgency=medium

  [ Andreas Beckmann ]
  * libopenscenegraph100: Add Breaks: libgdal1 for smooth upgrades from
    wheezy. A little incentive that helps apt to take the right decision
    between libgdal1 and libgdal1h.  (Closes: 777026)

 -- Alberto Luaces Fernández <aluaces@udc.es>  Wed, 04 Feb 2015 18:27:21 +0100

openscenegraph (3.2.1-5ubuntu2) vivid; urgency=medium

  * No-change rebuild for the libgdal-dev 1.11.2 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 18 Mar 2015 01:06:09 -0600

openscenegraph (3.2.1-5ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Add support for building on armhf by building with OpenGL ES 2.0.
    - Backport part of a commit to not build osgframerenderer example.
    - Add change-typedef.patch to fix conflicting typedefs for GLdouble with
      OpenGL ES 2.0.
    - Exclude freeglut3-dev from dependencies for armhf.
    - Change Depends of libopenscenegraph-dev for armhf from libgl1-mesa-
      dev to libgles2-mesa-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Dec 2014 16:00:21 +0000

openscenegraph (3.2.1-5) unstable; urgency=medium

  * Update fix for correctly loading plugins on platforms other than amd64.
    (Closes: 763821)
  * Cherry-pick bug fix from upstream, SVN revision 14400.
    Thanks to Rebecca N. Palmer (Closes: 765855)
  * Update Standards version to 3.9.6.  No further changes required.

 -- Alberto Luaces Fernández <aluaces@udc.es>  Fri, 31 Oct 2014 11:13:06 +0100

openscenegraph (3.2.1-4) unstable; urgency=medium

  * A preprocessor substitution was interferring with the architecture name for loading plugins.
    (Closes: 763816)

 -- Alberto Luaces Fernández <aluaces@udc.es>  Fri, 03 Oct 2014 16:30:41 +0200

openscenegraph (3.2.1-3) unstable; urgency=medium

  * Refresh libav patches.
  * One more fix for building on FreeBSD.

 -- Alberto Luaces Fernández <aluaces@udc.es>  Fri, 05 Sep 2014 13:54:28 +0200

openscenegraph (3.2.1-2) experimental; urgency=medium

  * Fix FTBFS on FreeBSD.
  * Enabled multiarch.
    Thanks to Saikrishna Arcot (Closes: 759593)
  * Updated debian/copyright file to machine readable format 1.0, and
    addition of missing license from file AndroidExample/EGLview.java.
    Thanks to Thorsten Alteholz (Closes: 757106)

 -- Alberto Luaces Fernández <aluaces@udc.es>  Mon, 01 Sep 2014 18:03:23 +0200

openscenegraph (3.2.1-1) experimental; urgency=medium

  * Acknowledge NMU.
  * New upstream version.
  * Removal of old patches.
  * Confirmation that (LP: #1339264) is already closed.
  * Removed obsolete conflict rules.

 -- Alberto Luaces Fernández <aluaces@udc.es>  Fri, 01 Aug 2014 20:41:55 +0200

openscenegraph (3.2.0~rc1-5.1ubuntu3) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Sep 2014 02:02:24 +0100

openscenegraph (3.2.0~rc1-5.1ubuntu2) utopic; urgency=low

  * Change Depends of libopenscenegraph-dev for armhf from libgl1-mesa-
    dev to libgles2-mesa-dev (LP: #1363529)

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Sat, 30 Aug 2014 19:51:40 -0400

openscenegraph (3.2.0~rc1-5.1ubuntu1) utopic; urgency=low

  * Add support for building on armhf by building with OpenGL ES 2.0
    (LP: #1284190).
  * Backport part of a commit to not build osgframerenderer example.
  * Add change-typedef.patch to fix conflicting typedefs for GLdouble
    with OpenGL ES 2.0
  * Exclude freeglut3-dev from dependencies for armhf

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Wed, 06 Aug 2014 17:41:46 -0500

openscenegraph (3.2.0~rc1-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add libav10.patch by Anton Khirnov and compile against Libav10
    (Closes: #739460)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 17 May 2014 16:52:38 -0400

openscenegraph (3.2.0~rc1-5) unstable; urgency=medium

  * Updated standards to 3.9.5.  No changes required.
  * Removed unused libpangox-dev dependency.
    Thanks to Saikrishna Arcot (Closes: #740129)
  * Restored compilation of the FreeType plugin.
    Thanks to Rebecca N. Palmer (Closes: #743169)

 -- Alberto Luaces Fernández <aluaces@udc.es>  Thu, 10 Apr 2014 20:41:55 +0200

openscenegraph (3.2.0~rc1-4) unstable; urgency=low

  * Added patch for fixing a multithreading initialization bug in the
    inventor plugin (LP: #1211993).
  * Closing bug about conflicting files in 3.2.0-rc1 and 3.2.0 since next
    version to be packaged is 3.2.1 (Closes: #722674).

 -- Alberto Luaces Fernández <aluaces@udc.es>  Mon, 17 Feb 2014 23:36:07 +0100

openscenegraph (3.2.0~rc1-3) unstable; urgency=low

  * Fix for texture corruption. Thanks Rebecca Palmer for the patch and
    testing and Markus Wanner for additional testing (Closes: #736350).
  * Now depends on xinelib 1.2 (Closes: #724753).

 -- Alberto Luaces <aluaces@udc.es>  Fri, 24 Jan 2014 21:09:56 +0100

openscenegraph (3.2.0~rc1-2) unstable; urgency=medium

  * Add osg_libav9.patch to fix a FTBFS with newer ffmpeg/libav.  Thanks
    Rebecca N. Palmer for the report and the patch. (Closes: #720816)
  * Refresh all patches

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 15 Jan 2014 20:16:35 +0000

openscenegraph (3.2.0~rc1-1) unstable; urgency=low

  [Alberto Luaces]
  * New upstream release.
  * Updated standards version (3.9.4).
  * Updated SVN URL.
  * Removed the static version of the libraries since they impose a huge
    load on the build servers, add additional complexity on the build
    scripts, and make a great impact on the size of the packages, given
    the very small cases where they are useful.
  * Acknowledge NMU.

  [ Manuel A. Fernandez Montecelo ]
  * Switch to @debian.org address

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 30 Jul 2013 13:07:57 +0000

openscenegraph (3.0.1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace libocin60-dev by libcoin80-dev for transition.

 -- Anton Gladky <gladk@debian.org>  Sun, 09 Jun 2013 11:49:44 +0200

openscenegraph (3.0.1-4) unstable; urgency=low

  [ Alberto Luaces ]
  * Upgraded standards version to 3.9.3.
  * Append options to LDFLAGS instead of replacing its value.
  * Use of hardening flags for building.
  * Added a manpage for the osgviewerWX executable.
  * Changes in the build prefix in order to fix the pkg-config files
    (Closes: #690878).
  * Removal of unused LINKER_FLAGS variable in debian/rules.

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Thu, 22 Nov 2012 22:07:57 +0000

openscenegraph (3.0.1-3) unstable; urgency=low

  * Depend on libpng-dev instead of libpng12-dev for libpng15-transition
    (Closes: #662455)
  * Reformat dependencies in debian/control to show one per line, I think that
    subsequent changes will be much more clear from now on

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Wed, 14 Mar 2012 11:18:59 +0000

openscenegraph (3.0.1-2) unstable; urgency=low

  [ Alberto Luaces ]
  * Fixed ffmpeg FTBFS with 0.8 version (Closes: #654233).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sun, 08 Jan 2012 19:38:17 +0000

openscenegraph (3.0.1-1) unstable; urgency=low

  * New upstream fixes release.
  * Fixed ffmpeg FTBFS (Closes: #640339).

 -- Loic Dachary (OuoU) <loic@debian.org>  Thu, 08 Sep 2011 16:06:16 +0200

openscenegraph (3.0.0-2) unstable; urgency=low

  [ Alberto Luaces ]
  * Use --as-needed option of the linker in order to cut unused dependencies
    down.
  * Adjust C{,XX}FLAGS to be independent of the build mode.
  * Removed the dpatch dependency at build time since it is not needed anymore.
  * Updated standards version to 3.9.2 as lintian requested (no changes needed).

  [ Manuel A. Fernandez Montecelo ]
  * Adding "Alberto Luaces <aluaces@udc.es>" as Uploader to try to quell lintian
    warnings (source-nmu-has-incorrect-version-number and
    changelog-should-mention-nmu).  He's been maintaining the packages for more
    than a year now.
  * Remove Section entries for some binary packages (quell lintian warning
    binary-control-field-duplicates-source)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Fri, 15 Jul 2011 01:28:06 +0200

openscenegraph (3.0.0-1) unstable; urgency=low

  * New upstream release.
  * Updated to quilt format.
  * Fixed FTBFS by checking __FreeBSD_kernel__ (Closes: #621880).
  * Removed CMakeLists.txt files in `openscenegraph-examples'. An
    explanatory README was written with simple instructions for compiling
    the examples those sources if desired (Closes: #612954, #612957).

 -- Alberto Luaces <aluaces@udc.es>  Fri, 01 Jul 2011 22:07:13 +0200

openscenegraph (2.9.11-1) experimental; urgency=low

  * Removed bug-555869-ftbfs_with_binutils_gold.dpatch since upstream has
    already taken care of the issue.
  * Removed bug-528229.dpatch since the pkgconfig files are now also split
    in upstream.
  * Removed explicit dependency on GLU.
  * Upstream no longer includes osgIntrospection (Closes: #592420).
  * Disabled zip plugin as its implementation stores an embedded copy of
    zlib.
  * Enabled Qt support. Thanks James Goppert.
  * Enabled SVG and PDF plugins. Thanks James Goppert.

 -- Alberto Luaces <aluaces@udc.es>  Sat, 29 Jan 2011 11:36:29 +0100

openscenegraph (2.8.5-1) unstable; urgency=low

  * New upstream stable release.

 -- Alberto Luaces <aluaces@udc.es>  Sat, 11 Jun 2011 09:57:41 +0200

openscenegraph (2.8.3-7) unstable; urgency=low

  * Rearranged headers to compile with ffmpeg 0.6. This is solved in current SVN. (Closes: #614467).

 -- Loic Dachary (OuoU) <loic@debian.org>  Sun, 13 Mar 2011 01:27:54 +0100

openscenegraph (2.8.3-6) unstable; urgency=low

  * Bump Standards-Version to 3.9.1 (no changes needed)
  * Added Vcs fields to the control file
  * Put myself in the Uploaders field, add DM-Upload-Allowed: yes
  * Quelling lintian warnings:
    - debian-changelog-line-too-long (line 2)
    - out-of-date-standards-version (bumped from 3.8.4 to 3.9.1)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Thu, 26 Aug 2010 12:28:06 +0200

openscenegraph (2.8.3-5) unstable; urgency=low

  * ffmpeg plugin enabled.
  * Build osgIntrospection on {,kfreebsd}-{amd64,i386} architectures
    (Closes: #586256).
  * Also build static libraries (Closes: #517273).

 -- Alberto Luaces <aluaces@udc.es>  Wed, 21 Jul 2010 11:19:33 +0200

openscenegraph (2.8.3-4) unstable; urgency=low

  * re-submit because of incorrect libtiff5 dependency in the -3 upload

 -- Loic Dachary (OuoU) <loic@debian.org>  Wed, 02 Jun 2010 10:55:06 +0200

openscenegraph (2.8.3-3) unstable; urgency=low

  * Added README.source. Thanks Manuel Montecelo.
  * Removed FindGDAL.cmake file supplied by upstream since it does not
    detect current libgdal1-1.6.0. The script provided by CMake works
    fine.
  * Removed openthreads-doc since OpenThreads documentation is shared with
    OpenSceneGraph's, hence this package was empty.
  * Now ccache handling is being done automatically by CMake.
  * Drop conflict dependencies with previous versions to let them coexist
    with current ones (Closes: #580079 #580081).

 -- Alberto Luaces <alberto@udc.es>  Mon, 03 May 2010 21:42:01 +0200

openscenegraph (2.8.3-2) unstable; urgency=low

  * Added missing conflict dependency with libopenthreads12 to clear
    updating errors. (Closes: #579760 #579731).

 -- Alberto Luaces <aluaces@udc.es>  Fri, 30 Apr 2010 20:30:39 +0200

openscenegraph (2.8.3-1) unstable; urgency=low

  * New upstream release
  * Updated package descriptions
  * Removed dependence from giflib-dev, doesn't seem to be there anymore
  * Created a package for examples sources previously in openscenegraph binary
    package, the sources of examples are quite big (4MiB+ and growing) and
    architecture independent.
  * Updated Doxygen configuration file (had some obsolete options).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Thu, 22 Apr 2010 16:03:58 +0200

openscenegraph (2.8.2-2) unstable; urgency=low

  * Fixed problem in armel, failing to build due to linking problems.
    According to Alberto Luaces this could be caused by a previous workaround
    introduced to deal with a GCC bug, and fixed since then, see #529091 and
    #530388
  * Added 'watch' file
  * Updated lintian overrides regarding package-name-doesnt-match-sonames
  * Removed the duplicated entries in man pages as examples and apps
  * Removed lintian overrides about man pages
  * Removed duplicated patch bug-555869-ftbfs_with_binutils_gold.diff (it was
    repeated in dpatch form)
  * Quelling lintian warnings:
    - package-lacks-versioned-build-depends-on-debhelper (updated to >= 7.0.0)
    - debhelper-but-no-misc-depends
    - out-of-date-standards-version (updated from 3.8.0 to 3.8.4)
    - patch-system-but-no-source-readme
    - dh-clean-k-is-deprecated (using 'dh_prep' instead of 'dh_clean -k')
    - manpage-has-bad-whatis-entry (trick to avoid warning and get whatis
      program working, removing related overrides as said above)
    - debian-watch-file-is-missing (adding 'watch' file as said above)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Wed, 03 Feb 2010 10:44:56 +0100

openscenegraph (2.8.2-1) unstable; urgency=low

  * New upstream release
  * Changed debhelper compat to level 7 (level 4 is deprecated)
  * Build-Depend on libcoin60-dev instead of libcoin40-dev (Closes: #535250)
  * Build-Depend on freeglut3-dev instead of libglut*-dev (Closes: #552157)
  * Added patch from Alberto Luaces to allow using binutils-gold (Closes: #555869)
  * Dropped patch (fixed upstream already in 2.8.1):
     - bug-497933.dpatch

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sat, 12 Dec 2009 21:25:40 +0100

openscenegraph (2.8.1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Build-Depend on freeglut3-dev instead of freeglut-dev as someone
    "cleaned up" provides of that package. Closes: #544648

 -- Andreas Barth <aba@not.so.argh.org>  Wed, 02 Sep 2009 12:35:42 +0200

openscenegraph (2.8.1-1) unstable; urgency=low

  * New upstream release
  * osg soversion from 55 to 56, openthreads from 11 to 12 and patch
    to allow overriding the soversion when the upstream forgets to change it.
  * Alberto Luaces patch applied to add new pkg-config files (Closes: #528229).
  * Alberto Luaces linker flags to cope with armel specific problems (Closes: #529091).

 -- Loic Dachary (OuoU) <loic@debian.org>  Sun, 31 May 2009 12:07:05 +0200

openscenegraph (2.8.0-4) unstable; urgency=low

  * rules prevent lib64 with -D LIB_POSTFIX="" (Closes: #517671)

 -- Loic Dachary (OuoU) <loic@debian.org>  Mon, 23 Mar 2009 14:08:20 +0100

openscenegraph (2.8.0-3) unstable; urgency=low

  * gcc-4.4 are already in upstream
  * use lib*/ instead of lib/ to capture lib64 (Closes: #517671)

 -- Loic Dachary (OuoU) <loic@debian.org>  Tue, 03 Mar 2009 13:07:40 +0100

openscenegraph (2.8.0-2) unstable; urgency=low

  * unstable instead of experimental
  * remove lib64 dirty hack that failed
  * apply GNU/kFreeBSD patch (Closes: #517354)

 -- Loic Dachary (OuoU) <loic@debian.org>  Sun, 01 Mar 2009 14:06:21 +0100

openscenegraph (2.8.0-1) experimental; urgency=low

  * New upstream release (Closes: #516622)
  * update download location in copyright file
  * add support for intrepid & jaunty
  * remove extra conflict on openthreads7 (Closes: #504113)
  * apply GNU/kFreeBSD patch (Closes: #497933)
  * apply GCC-4.4 portability patch (Closes: #504888)
  * add missing libraries to openscenegraph.pc (Closes: #512316)
  * update libopenscenegraph short description (Closes: #493613)
  * use libgl1-mesa-dev and libgif-dev (Closes: #494553)
  
 -- Loic Dachary (OuoU) <loic@debian.org>  Tue, 24 Feb 2009 12:04:02 +0100

openscenegraph (2.6.1-1) experimental; urgency=low

  * New upstream release.
  * Updated rules file to complete the instruction on how to make an orig
    file.
  * Corrected rules file when it comes to versions.
  * libopenscenegraph44 bumped to 48.
  * remove obsolete xlibmesa-gl-dev

 -- Loic Dachary (OuoU) <loic@debian.org>  Thu, 25 Dec 2008 18:27:16 +0100

openscenegraph (2.6.0-1) experimental; urgency=low

  * New upstream release.
  * Debian patches are no longer needed with the new upstream sources and
    are therefore removed.
  * libopenscenegraph7 bumped to 44.
  * libopenthreads7 bumped to 11.
  * Added myself to Uploaders to clarify that I'm involved at request
    by Loic. Loic may remove it later when needed.

 -- Ola Lundqvist <opal@debian.org>  Wed, 20 Aug 2008 07:47:50 +0200

openscenegraph (2.4.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * No longer try to detect (using /proc/cpuinfo when available) how many
    CPUs are available, fixing the FTBFS (due to -j0) on various platforms
    (Closes: #477353). The right way to do it is to support parallel=n in
    DEB_BUILD_OPTIONS (see Debian Policy §4.9.1), and adequate support has
    been implemented.
  * Add patch to fix FTBFS due to the build system now refusing to handle
    whitespaces (Policy CMP0004 say the logs), thanks to Andreas Putzo who
    provided it (Closes: #482239):
     - debian/patches/fix-cmp0004-build-failure.dpatch
  * Remove myself from Uploaders, as requested a while ago, done by Luk in
    his 2.2.0-2.1 NMU, which was never acknowledged.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 29 Jul 2008 04:34:38 +0200

openscenegraph (2.4.0-1) unstable; urgency=low

  * New upstream release

 -- Loic Dachary (OuoU) <loic@debian.org>  Mon, 28 Apr 2008 11:04:18 +0200

openscenegraph (2.3.7-1) experimental; urgency=low

  * New upstream release.
  * Added libxine-dev build-dep.
  * Bumped SONAME from 6 to 7.
  * Updated version (from 2.1.0 to 2.2.0) in debian/*.pc files.
  * SMP dynamically chosen in debian/rules.

 -- Loic Dachary (OuoU) <loic@debian.org>  Wed, 10 Oct 2007 00:23:08 +0200

openscenegraph (2.2.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove Cyril Brulebois from Uploaders on his request.
  * Fix FTBFS with GCC 4.3 (Closes: #454854).

 -- Luk Claes <luk@debian.org>  Sun, 16 Mar 2008 16:13:52 +0000

openscenegraph (2.2.0-2) unstable; urgency=low

  * Add optimization flags to compilation (closes: 446017).
  
  [ Cyril Brulebois ]
  * Add -mlong-calls to C(XX)FLAGS when building with DEB_BUILD_HOST=hppa
    to avoid FTBFS due to an error during the final link (closes: #425837).
    Many thanks to the <http://www.parisc-linux.org/> folks for the access to
    their cluster, which helped a lot!

 -- Loic Dachary (OuoU) <loic@debian.org>  Wed, 10 Oct 2007 00:23:08 +0200

openscenegraph (2.2.0-1) unstable; urgency=low
  
  * 64bit hack is supposed to fix the problem (closes: 425837)

  * Add gdal in Build-Depends
  
  * Remove conflicts with libopenthreads5 and libopenscenegraph5 (both can
    peacefully coexist)
  
  * Add micro release number

 -- Loic Dachary (OuoU) <loic@debian.org>  Sun, 07 Oct 2007 09:58:03 +0200

openscenegraph (2.2-1) experimental; urgency=low

  * New upstream release.
  * Update debian/patches/openscenegraph.dpatch accordingly.
  * Fix installation of .so according to the SONAME bump:
     - debian/libopenscenegraph6.files still contained libosg*.so.6*
       references, which are now bumped. That problem was introduced in
       2.1.9-1.
  * Move from dh_movefiles to dh_install:
     - debian/*.files renamed as debian/*.install.
     - use “dh_install --sourcedir=debian/tmp” instead of “dh_movefiles”.
     - remove the previous “dh_install -p openscenegraph” call accordingly.
     - modify debian/rules to copy OpenSceneGraph/examples under debian/tmp,
       and update debian/openscenegraph.install accordingly.
     - also use “--fail-missing” to catch files not installed anywhere, and
       avoid the kind of errors mentioned above.
  * Add lintian override:
     - located under debian/lintian/, the only one being there is for
       libopenscenegraph6, which holds multiple shared objects.
     - adapted debian/rules a bit to install it (eventually them) easily.
  * Adjust clean rule:
     - upstream ships an executable C++ source file, which permission is
       removed in the clean target.
  * Adjust manpages (debian/*.1):
     - use “\-\-help” instead of “--help” to fix hyphen-used-as-minus-sign
       reported by lintian.
     - add osgdepthpeeling.1 to MANEXAMPLES.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Sat, 06 Oct 2007 11:47:50 +0200

openscenegraph (2.1.9-1) experimental; urgency=low

  * New upstream release.
  * Bumped SONAME from 5 to 6:
     - debian/rules: updated CURRENT accordingly.
     - debian/control: updated to transition.
     - debian/libopenthreads5.files: renamed; content updated.
     - debian/libopenscenegraph5.files: renamed.
  * Updated version (from 2.0.0 to 2.1.9) in debian/*.pc files.
  * Disabled patch (merged upstream):
     - display.dpatch
  * Refreshed patch (context modified due to changed version numbers):
     - openscenegraph.dpatch
  * Cleanup:
     - commented out unused "version" and "major" variable in debian/rules.
     - replaced "Source-Version" with "binary:Version" in debian/control to
       make the packages binNMU-safe.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Thu, 20 Sep 2007 01:00:52 +0200

openscenegraph (2.0.0-4) unstable; urgency=low

  * AnimationPath protected is removed to cope with gcc-4.2 bug
  
  * libopenscenegraph-dev depends on GL dev packages

 -- Loic Dachary (OuoU) <loic@debian.org>  Sun, 09 Sep 2007 02:17:22 +0200

openscenegraph (2.0.0-3) unstable; urgency=low

  * libopenscenegraph-dev does not depend on libproducer-dev

 -- Loic Dachary (OuoU) <loic@debian.org>  Fri, 07 Sep 2007 11:50:49 +0200

openscenegraph (2.0.0-2) unstable; urgency=low

  [ Cyril Brulebois ]
  * Added a 64 bit hack in debian/rules
  * Added myself to the Uploaders.

 -- Loic Dachary (OuoU) <loic@debian.org>  Mon, 30 Jul 2007 22:16:19 +0200

openscenegraph (2.0.0-1) unstable; urgency=low

  * New upstream release

 -- Loic Dachary <loic@debian.org>  Tue, 19 Jun 2007 11:06:58 +0200

openscenegraph (1.9.7-1) unstable; urgency=low

  * New upstream release

 -- Loic Dachary <loic@debian.org>  Tue,  5 Jun 2007 20:20:58 +0200

openscenegraph (1.9.6-1) unstable; urgency=low

  * New upstream release

 -- Loic Dachary <loic@debian.org>  Mon, 28 May 2007 23:34:41 +0200

openscenegraph (1.9.5-1) unstable; urgency=low

  * New upstream release

 -- Loic Dachary (OuoU) <loic@debian.org>  Tue, 22 May 2007 10:07:00 +0200

openscenegraph (1.9.4-1) unstable; urgency=low

  * New upstream release

 -- Loic Dachary (OuoU) <loic@debian.org>  Tue, 15 May 2007 20:03:19 +0200

openscenegraph (1.9.3-1) unstable; urgency=low

  * New upstream release
  
 -- Loic Dachary (OuoU) <loic@debian.org>  Tue,  8 May 2007 10:45:32 +0200

openscenegraph (1.9.1-1) unstable; urgency=low

  * New upstream release
  
  * control: libglu1-mesa-dev added before virtual package
  
  * copyright: fix FSF address
  
  * osgapplications.1: manual page for osgviewer and other applications
  
  * rules: list and create applications manpages

 -- Loic Dachary (OuoU) <loic@debian.org>  Sun, 29 Apr 2007 11:07:07 +0200

openscenegraph (1.2.0-3) unstable; urgency=low

  * libgl-dev dependency in edgy break build

 -- Loic Dachary (OuoU) <loic@debian.org>  Tue,  7 Nov 2006 13:57:14 +0100

openscenegraph (1.2.0-2) unstable; urgency=low

  * control files for backports + ubuntu
  
  * s/peformance/performance/ (closes: #390239)
  
  * rules: AVI variable no longer needed
  
  * rules: set COMPILE_USING_TWO_PARAM_sched_setaffinity for OpenThreads when needed
  
  * rules: expand all _INSTALLED variables in the file for clarity

 -- Loic Dachary (OuoU) <loic@debian.org>  Sat, 30 Sep 2006 08:48:57 +0200

openscenegraph (1.2.0-1) experimental; urgency=low

  * New upstream release (closes: #387931)
  
 -- Loic Dachary (OuoU) <loic@debian.org>  Sun, 17 Sep 2006 15:50:55 +0200

openscenegraph (1.1.0-4) unstable; urgency=low

  * edgy fixes

 -- Loic Dachary (OuoU) <loic@debian.org>  Sat, 16 Sep 2006 15:55:17 +0200

openscenegraph (1.1.0-3) unstable; urgency=low

  * patch for mips
  
  * edgy & etch control files

 -- Loic Dachary (OuoU) <loic@debian.org>  Fri,  8 Sep 2006 11:37:40 +0200

openscenegraph (1.1.0-2) unstable; urgency=low

  * version number for other debian distributions
  
  * rules checks binutils version >= 2.17 before trying
    to compile introspection
  
  * add missing conflicts for dapper / breezy

 -- Loic Dachary (OuoU) <loic@debian.org>  Sun, 27 Aug 2006 00:33:09 +0200

openscenegraph (1.1.0-1) unstable; urgency=low

  * New upstream release

 -- Loic Dachary (OuoU) <loic@debian.org>  Wed, 16 Aug 2006 12:41:57 +0200

openscenegraph (1.0.0-9) unstable; urgency=low

  * Depend on gdal 1.3.2 (closes: #383141)

 -- Loic Dachary (OuoU) <loic@debian.org>  Tue, 15 Aug 2006 12:25:56 +0200

openscenegraph (1.0.0-8) unstable; urgency=low

  * add missing dependency to libproducer-dev package (libgl1-mesa-dev)

 -- Loic Dachary (OuoU) <loic@debian.org>  Fri, 26 May 2006 12:58:22 +0200

openscenegraph (1.0.0-7) unstable; urgency=low

  * remove explicit references to mesa
  
  * kfreebsd patch applied (closes: #368786)

 -- Loic Dachary (OuoU) <loic@debian.org>  Thu, 25 May 2006 10:14:30 +0200

openscenegraph (1.0.0-6) unstable; urgency=low

  * libxi

 -- Loic Dachary (OuoU) <loic@debian.org>  Sun,  7 May 2006 01:01:13 +0200

openscenegraph (1.0.0-5) unstable; urgency=low

  * xlib/gl-dev depends for producer-dev

 -- Loic Dachary (OuoU) <loic@debian.org>  Tue, 28 Feb 2006 14:24:53 +0100

openscenegraph (1.0.0-4) unstable; urgency=low

  * restore gdal + xine dependencies since the packages are fixed

 -- Loic Dachary (OuoU) <loic@debian.org>  Sat, 18 Feb 2006 23:07:19 +0100

openscenegraph (1.0.0-3) unstable; urgency=low

  * depends on libgl-dev for -dev also (closes: #348735)

 -- Loic Dachary (OuoU) <loic@debian.org>  Fri, 17 Feb 2006 10:37:21 +0100

openscenegraph (1.0.0-2) unstable; urgency=low

  * depends on libgl-dev (closes: #348735)
  
  * conflicts with lib{openscenegraph,producer,openthreads}

 -- Loic Dachary (OuoU) <loic@debian.org>  Wed, 18 Jan 2006 20:20:52 +0100

openscenegraph (1.0.0-1) unstable; urgency=low

  * upstream sync

  * switch to dpatch
  
  * find . -name GNUmakefile | xargs perl -pi -e 's/([^\s])\\$/\1 \\/' and in */Make/*
    in order to conform to POSIX http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=343088
  
  * update API and library number (closes: #339243)

  * changed dependencies (closes: #330723)

 -- Loic Dachary (OuoU) <loic@debian.org>  Tue,  3 Jan 2006 18:05:26 +0100

openscenegraph (0.9.9-7) unstable; urgency=low

  * conflicts with libopenthreads, libopenscenegraph and libproducer (closes: #326425)
  
  * acknowledge old NMU (closes: #314201)

  * fix libcoin40 dependency (closes: #322740)

 -- Loic Dachary (OuoU) <loic@debian.org>  Thu,  8 Sep 2005 10:26:19 +0200

openscenegraph (0.9.9-6) unstable; urgency=low

  * gcc-4.0 package conformance

 -- Loic Dachary (OuoU) <loic@debian.org>  Sun, 21 Aug 2005 16:57:24 +0000

openscenegraph (0.9.9-5) unstable; urgency=low

  * gcc-4.0 compilation fixes from Andreas Jochens <aj@andaco.de> (closes: #314763)

 -- Loic Dachary (OuoU) <loic@debian.org>  Sat, 18 Jun 2005 16:17:38 +0200

openscenegraph (0.9.9-4) unstable; urgency=low

  * use X11R6/lib instead of X11R6/lib64 on amd64, depend on libungif (closes: #314510)

 -- Loic Dachary (OuoU) <loic@debian.org>  Thu, 16 Jun 2005 22:41:30 +0200

openscenegraph (0.9.9-3) unstable; urgency=low

  * Restrict compilation of introspection and xine
    plugin to i386 because Introspection breaks the compiler (gcc-3.3)
    and xine contains i386 assembly that cannot be rewrote right
    away.
    http://openscenegraph.net/pipermail/osg-users/2005-June/054120.html

 -- Loic Dachary (OuoU) <loic@debian.org>  Thu, 16 Jun 2005 20:29:57 +0200

openscenegraph (0.9.9-2) unstable; urgency=low

  * Removed avifile dependency (closes: #314201)

 -- Loic Dachary (OuoU) <loic@debian.org>  Wed, 15 Jun 2005 10:01:31 +0200

openscenegraph (0.9.9-1) unstable; urgency=low

  * Incremented CURRENT shared lib version from 0 to 1 since upstream does not
    maintain shared lib versions.
  * Only activate CCACHE if the string ccache is in DEB_BUILD_OPTIONS 
  * Fix harmless bug in OpenSceneGraph/Make/instexamplesrc that printed
    error messages that may induce someone to think a real problem has 
    occured
  * New upstream release

 -- Loic Dachary (OuoU) <loic@debian.org>  Mon, 13 Jun 2005 13:00:54 +0200

openscenegraph (0.9.8-4.1) unstable; urgency=low

  * NMU
  * debian/rules: Do not use ccache to avoid problems with buildd with
    invalid $HOME variable.
  * debian/control: Do not Build-Depends on ccache.

 -- Bill Allombert <ballombe@debian.org>  Wed, 11 May 2005 00:38:23 +0200

openscenegraph (0.9.8-4) unstable; urgency=low

  * rebuild package on new sid root (closes: #304537)

 -- Loic Dachary (OuoU) <loic@debian.org>  Sat, 16 Apr 2005 16:45:08 +0200

openscenegraph (0.9.8-3) unstable; urgency=low

  * libjpegg is now libjpeg (closes: #303896)

 -- Loic Dachary (OuoU) <loic@debian.org>  Mon, 11 Apr 2005 09:24:26 +0200

openscenegraph (0.9.8-2) unstable; urgency=low

  * Patch to fix FTBFS on amd64 (closes: #286674)

 -- Loic Dachary (OuoU) <loic@debian.org>  Mon,  7 Feb 2005 18:34:41 +0100

openscenegraph (0.9.8-1) unstable; urgency=low

  * New upstream release

 -- Loic Dachary (OuoU) <loic@debian.org>  Mon,  6 Dec 2004 19:01:31 +0100

openscenegraph (0.9.7-7) unstable; urgency=low

  * Add ARCH='' in rules to avoid hierarchy handling problems. May also disable
    some architecture dependent optimizations flags. (closes: #282816)

 -- Loic Dachary (OuoU) <loic@debian.org>  Thu, 25 Nov 2004 12:00:57 +0100

openscenegraph (0.9.7-6) unstable; urgency=low

  * Fix asm for timer architecture compatibility issue, sent to 
    upstream.

 -- Loic Dachary (OuoU) <loic@debian.org>  Mon, 15 Nov 2004 13:40:20 +0100

openscenegraph (0.9.7-5) unstable; urgency=low

  * Add pointer to LGPL in copyright file as requested by Randall Donald <ftpmaster@debian.org> 

 -- Loic Dachary (OuoU) <loic@debian.org>  Tue,  2 Nov 2004 10:38:25 +0100

openscenegraph (0.9.7-4) unstable; urgency=low

  * missing dependencies in .pc

 -- Loic Dachary (OuoU) <loic@debian.org>  Fri, 22 Oct 2004 22:28:42 +0200

openscenegraph (0.9.7-3) unstable; urgency=low

  * missing usr/include/osgProducer

 -- Loic Dachary (OuoU) <loic@debian.org>  Thu, 21 Oct 2004 17:33:31 +0200

openscenegraph (0.9.7-2) unstable; urgency=low

  * change more to cat in install process
  
  * fix conflicts mistakes

 -- Loic Dachary (OuoU) <loic@debian.org>  Wed, 20 Oct 2004 14:29:27 +0200

openscenegraph (0.9.7-1) unstable; urgency=low

  * New upstream version (Closes: #172189)

 -- Loic Dachary (OuoU) <loic@debian.org>  Mon, 18 Oct 2004 23:40:07 +0200

openscenegraph (0.9.6-4) unstable; urgency=low

  * billboard patch

 -- Loic Dachary (OuoU) <loic@debian.org>  Thu, 11 Mar 2004 17:45:19 +0100

openscenegraph (0.9.6-2) unstable; urgency=low

  * binaries package

 -- Loic Dachary (OuoU) <loic@debian.org>  Mon, 16 Feb 2004 12:12:56 +0100

openscenegraph (0.9.6-1) unstable; urgency=low

  * Initial Release.

 -- Loic Dachary (OuoU) <loic@debian.org>  Thu, 29 Jan 2004 13:39:19 +0100

